#include <glib-object.h>
#include <dbus/dbus-glib.h>
#include <telepathy-glib/dbus-properties-mixin.h>

G_BEGIN_DECLS

/**
 * RTComTpSvcStreamHandlerInterfaceVideoControl:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _RTComTpSvcStreamHandlerInterfaceVideoControl RTComTpSvcStreamHandlerInterfaceVideoControl;

/**
 * RTComTpSvcStreamHandlerInterfaceVideoControlClass:
 *
 * The class of RTComTpSvcStreamHandlerInterfaceVideoControl.
 */
typedef struct _RTComTpSvcStreamHandlerInterfaceVideoControlClass RTComTpSvcStreamHandlerInterfaceVideoControlClass;

GType rtcom_tp_svc_streamhandler_interface_video_control_get_type (void);
#define RTCOM_TYPE_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL \
  (rtcom_tp_svc_streamhandler_interface_video_control_get_type ())
#define RTCOM_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), RTCOM_TYPE_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL, RTComTpSvcStreamHandlerInterfaceVideoControl))
#define RTCOM_IS_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), RTCOM_TYPE_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL))
#define RTCOM_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE((obj), RTCOM_TYPE_TP_SVC_STREAMHANDLER_INTERFACE_VIDEO_CONTROL, RTComTpSvcStreamHandlerInterfaceVideoControlClass))


void rtcom_tp_svc_streamhandler_interface_video_control_emit_request_keyframe (gpointer instance);
void rtcom_tp_svc_streamhandler_interface_video_control_emit_video_resolution_changed (gpointer instance,
    const GValueArray *arg_resolution);
void rtcom_tp_svc_streamhandler_interface_video_control_emit_bitrate_changed (gpointer instance,
    guint arg_bitrate);
void rtcom_tp_svc_streamhandler_interface_video_control_emit_mtu_changed (gpointer instance,
    guint arg_mtu);


G_END_DECLS
